<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
    <meta charset="utf-8">
    <title></title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!-- Optional theme -->
</head>
<body>
<div class="page-header" style="background-color: black">
    <h1 style="color:white">
      News Portal
    </h1>
</div>


<div class="container">
    <div class="row">
        {% for news, desc, image, source, publishedAt, ref_url in mylist %}
        <div class="card" style="width: 34em; margin: 0.5em;">
            <div class="card-body">
                 <img class="card-img-top" src="{{ image }}" alt="Card image cap">
                <h5 class="card-title">{{ news }} </h5>
                <p class="card-text"> {{ desc }} </p>
                <a target="_blank" href="{{ ref_url }}"> Click Here to Read More</a>
            </div>
            <div class="card-footer">{{ source }}  <p class="float-right">{{ publishedAt }}</p></div>
        </div>
        {% endfor %}
    </div>
</div>

</body>
</html> 